# file.hpp File Reference

`#include <string>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/packages/namespace/namespace_entry.hpp>`
`#include <saga/saga/packages/file/config.hpp>`
`#include <saga/saga/packages/file/iovec.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::filesystem
## Classes
class | saga::filesystem::file
| The SAGA file package file API. More...
## Enumerations
enum | saga::filesystem::flags { saga::filesystem::Unknown = saga::name_space::Unknown, saga::filesystem::None = saga::name_space::None, saga::filesystem::Overwrite = saga::name_space::Overwrite, saga::filesystem::Recursive = saga::name_space::Recursive, saga::filesystem::Dereference = saga::name_space::Dereference, saga::filesystem::Create = saga::name_space::Create, saga::filesystem::Exclusive = saga::name_space::Exclusive, saga::filesystem::Lock = saga::name_space::Lock, saga::filesystem::CreateParents = saga::name_space::CreateParents, saga::filesystem::Truncate = 128, saga::filesystem::Append = 256, saga::filesystem::Read = saga::name_space::Read, saga::filesystem::Write = saga::name_space::Write, saga::filesystem::ReadWrite = saga::name_space::ReadWrite, saga::filesystem::Binary = 2048 }
| The flags enum is inherited from the namespace package. More...
enum | saga::filesystem::seek_mode { saga::filesystem::Start = 1, saga::filesystem::Current = 2, saga::filesystem::End = 3 }
| Brief description starts here. More...